# XKrome Architecture
This library is a wrapper around the native webview implementation like [webview](https://github.com/webview/webview) with a big difference, we have support for multiple windows, we support all languages that support [Native Interoperability](https://docs.microsoft.com/en-us/dotnet/standard/native-interop/) with C libraries, so python, Java, C#, C, C++, Rust, Vala, Go, and much more. This library is a wrapper of 2 libraries (TAO and WRY) from the [Tauri-Apps Project](https://tauri.studio/) 

The Krome architecture is very simple. being a wrapper around 2 other libraries we have the same architecture. You create an **EventLoop**, that is the brain of the operation and will handle most of the logic to then create a **Window**, that will handle the webview handlers, and finally create a **Webview** that will display the HTML content.